## RygelVideoItem

RygelVideoItem — Represents a video item.

## Functions

RygelVideoItem * | rygel_video_item_new ()
const gchar * | rygel_video_item_get_author ()
void | rygel_video_item_set_author ()
GeeArrayList * | rygel_video_item_get_subtitles ()
void | rygel_video_item_set_subtitles ()

## Properties

gchar * | author | Read / Write
gint | color-depth | Read / Write
gint | height | Read / Write
GeeArrayList * | subtitles | Read / Write
GeeArrayList * | thumbnails | Read / Write
gint | width | Read / Write

## Types and Values

#define | RYGEL_TYPE_VIDEO_ITEM
#define | RYGEL_VIDEO_ITEM_UPNP_CLASS
struct | RygelVideoItem
struct | RygelVideoItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelMediaFileItem
                    ╰── RygelAudioItem
                        ╰── RygelVideoItem

## Implemented Interfaces

RygelVideoItem implements RygelVisualItem.

## Description

## Functions

### rygel_video_item_new ()

    RygelVideoItem *
    rygel_video_item_new (const gchar *id,
                          RygelMediaContainer *parent,
                          const gchar *title,
                          const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

### rygel_video_item_get_author ()

    const gchar *
    rygel_video_item_get_author (RygelVideoItem *self);

Get and return the current value of the "author" property.

#### Parameters

self | the RygelVideoItem instance to query |

#### Returns

the value of the "author" property

### rygel_video_item_set_author ()

    void
    rygel_video_item_set_author (RygelVideoItem *self,
                                 const gchar *value);

Set the value of the "author" property to `value` .

#### Parameters

self | the RygelVideoItem instance to modify |
value | the new value of the "author" property |

### rygel_video_item_get_subtitles ()

    GeeArrayList *
    rygel_video_item_get_subtitles (RygelVideoItem *self);

Get and return the current value of the "subtitles" property.

#### Parameters

self | the RygelVideoItem instance to query |

#### Returns

the value of the "subtitles" property

### rygel_video_item_set_subtitles ()

    void
    rygel_video_item_set_subtitles (RygelVideoItem *self,
                                    GeeArrayList *value);

Set the value of the "subtitles" property to `value` .

#### Parameters

self | the RygelVideoItem instance to modify |
value | the new value of the "subtitles" property |

## Types and Values

### RYGEL_TYPE_VIDEO_ITEM

    #define RYGEL_TYPE_VIDEO_ITEM (rygel_video_item_get_type ())

The type for RygelVideoItem.

### RYGEL_VIDEO_ITEM_UPNP_CLASS

    #define RYGEL_VIDEO_ITEM_UPNP_CLASS "object.item.videoItem"

### struct RygelVideoItem

    struct RygelVideoItem;

Represents a video item.

### struct RygelVideoItemClass

    struct RygelVideoItemClass {
    	RygelAudioItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_VIDEO_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“author”` property

      “author”                   gchar *

author.

Flags: Read / Write

Default value: NULL

### The `“color-depth”` property

      “color-depth”              gint

color-depth.

Flags: Read / Write

Default value: -1

### The `“height”` property

      “height”                   gint

height.

Flags: Read / Write

Default value: -1

### The `“subtitles”` property

      “subtitles”                GeeArrayList *

subtitles.

Flags: Read / Write

### The `“thumbnails”` property

      “thumbnails”               GeeArrayList *

thumbnails.

Flags: Read / Write

### The `“width”` property

      “width”                    gint

width.

Flags: Read / Write

Default value: -1